cURL
curl --request PATCH \ --url https://statsigapi.net/console/v1/holdouts/{id}/overrides \ --header 'Content-Type: application/json' \ --header 'STATSIG-API-KEY: <api-key>' \ --data ' { "environmentOverrides": [ { "environment": "staging", "unitID": "unit123", "passingIDs": [ "id1", "id2" ], "failingIDs": [ "id3", "id4" ] } ] } '
{ "message": "Holdout Overrides updated successfully.", "data": { "passingUserIDs": [ "passing-user" ], "failingUserIDs": [ "failing-user" ], "passingCustomIDs": [ "passing-custom-id" ], "failingCustomIDs": [ "failing-custom-id" ] } }
Documentation IndexFetch the complete documentation index at: https://statsig-4b2ff144-docs-go-big-id-lists.mintlify.app/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://statsig-4b2ff144-docs-go-big-id-lists.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
id
Contract for updating overrides
Show child attributes
Add Holdout Overrides Success
A simple string explaining the result of the operation.
Contract for overrides
Was this page helpful?